Subject: bug#72852: Testsuite summary for GNU Automake 1.17 on x86_64-apple-darwin20.6.0

From: Eric Gallager <[email-masked]>
Date: Tue, 3 Sep 2024 13:38:11 -0400

On Wed, Aug 28, 2024 at 6:43 PM Karl Berry <[email-masked]> wrote:
>
> Hi Eric,
>
>     Subject: bug#72852: Testsuite summary for GNU Automake 1.17 on
>      x86_64-apple-darwin20.6.0
>
> Thanks for the report. It looks like Apple's compiler, or linker, or
> something, is leaving new files, in fact a whole new directory, behind.

Yeah, both llvm and gcc are set up on darwin so that their compiler
drivers will invoke dsymutil as part of the compilation process:
https://llvm.org/docs/CommandGuide/dsymutil.html
Search for COLLECT_RUN_DSYMUTIL in the GCC sources to see how it's invoked:
https://gcc.gnu.org/git/?p=gcc.git;a=commitdiff;h=11afe8e8c87cd525efbaab282b2c01d6a52e9d86

> I didn't check all the failures, but the ones I looked at ended up with
> errors like:
>
>   ERROR: files left in build directory after distclean:
>   ./foo.dSYM/Contents/Resources/DWARF/foo
>   ./foo.dSYM/Contents/Info.plist
>   make[1]: *** [distcleancheck] Error 1
>
> I know nothing about what's going on, but just looking at that, I'm
> guessing make clean should also rm -rf <program>.dSYM.

Yeah, that sounds correct.

> (Bogdan, wdyt?)
> --thanks, karl.